Loading...
Searching...
No Matches
psa_util.h File Reference

Utility functions for the use of the PSA Crypto library. More...

`#include "mbedtls/config.h"`
`#include "mbedtls/ctr_drbg.h"`
Include dependency graph for psa_util.h:

Go to the source code of this file.

## Macros

#define | MBEDTLS_PSA_RANDOM_STATE mbedtls_psa_random_state

## Typedefs

typedef int | mbedtls_f_rng_t(void *p_rng, unsigned char *output, size_t output_size)
typedef mbedtls_ctr_drbg_context | mbedtls_psa_drbg_context_t

## Variables

static mbedtls_f_rng_t *const | mbedtls_psa_get_random = mbedtls_ctr_drbg_random
mbedtls_psa_drbg_context_t *const | mbedtls_psa_random_state

## Detailed Description

Utility functions for the use of the PSA Crypto library.

Warning
  This function is not part of the public API and may change at any time.

Definition in file psa_util.h.

## Macro Definition Documentation

## MBEDTLS_PSA_RANDOM_STATE

#define MBEDTLS_PSA_RANDOM_STATE mbedtls_psa_random_state

Definition at line 488 of file psa_util.h.

## Typedef Documentation

## mbedtls_f_rng_t

typedef int mbedtls_f_rng_t(void *p_rng, unsigned char *output, size_t output_size)

Definition at line 420 of file psa_util.h.

## mbedtls_psa_drbg_context_t

typedef mbedtls_ctr_drbg_context mbedtls_psa_drbg_context_t

Definition at line 479 of file psa_util.h.

## Variable Documentation

## mbedtls_psa_get_random

mbedtls_f_rng_t* const mbedtls_psa_get_random = mbedtls_ctr_drbg_random

static

Definition at line 480 of file psa_util.h.

## mbedtls_psa_random_state

mbedtls_psa_drbg_context_t* const mbedtls_psa_random_state

extern